# Enum goog.Disposable.MonitoringMode

code »

Type: `number`

## Values and Descriptions

INTERACTIVE
  INTERACTIVE mode can be switched on and off on the fly without producing errors. It also doesn't warn if the disposable objects don't call the `goog.Disposable` base constructor.
OFF
  No monitoring.
PERMANENT
  Creating and disposing the goog.Disposable instances is monitored. All disposable objects need to call the `goog.Disposable` base constructor. The PERMANENT mode must be switched on before creating any goog.Disposable instances.

Show:Public Protected Private